{
//
gROOT->Reset();
new TCanvas("help","Help to run macros",200,10,700,500);

welcome = new TPaveText(.1,.8,.9,.97);
welcome->AddText("Welcome to the ESAF Analysis Macros");
welcome->SetTextFont(32);
welcome->SetTextColor(4);
welcome->SetFillColor(3);
welcome->SetFillStyle(3010);
welcome->Draw();

hdemo = new TPaveText(.05,.05,.95,.7);
hdemo->SetTextAlign(12);
hdemo->SetTextFont(52);
hdemo->AddText("- Run \"Init\" first. Then all available macros in any order");
hdemo->AddText("- Clicking \"OneEventAnalysis\" will produce various plots for one event");
hdemo->AddText("storing them as gif and eps files into gif/ and eps/ directories. ");
hdemo->AddText("- Clicking \"MultiEventsAnalysis\" will do some plots for all events read");
hdemo->AddText("from ListOfFiles file stored in esaf/macros/ directory. ");
hdemo->AddText("- If you modified GlobalHisto.C/h you should unload GlobalHisto.so");
hdemo->AddText("typing \"root[].U path/GlobalHisto.so\" where path is the absolute path");
hdemo->AddText("to your GlobalHisto.so file. (You can find it via \"root[].file\" command)");
hdemo->AddText("- Then Click \"Init\" again and produce your plots");
hdemo->SetAllWith("....","color",2);
hdemo->SetAllWith("....","font",72);
hdemo->SetAllWith("....","size",0.04);
hdemo->SetFillColor(10);
hdemo->Draw();
}
