// ESAF : Euso Simulation and Analysis Framework
// $Id: RecoAnalogData.hh,v 1.4 2004/09/14 12:40:16 naumov Exp $
// Marco Pallavicini created Nov, 18 2003

#ifndef __RECOANALOGDATA_HH_
#define __RECOANALOGDATA_HH_

#include "euso.hh"


class RecoAnalogData {
public:
    
    // ctor
    RecoAnalogData(Int_t gtu, Int_t id);

    // dtor
    virtual ~RecoAnalogData();

    // get gtu
    inline Int_t GetGtu() const { return fGtu; }
    
    // get front end id
    inline Int_t GetFeId() const { return fFeId; }
    
private:

    Int_t fGtu;   // gtu id
    Int_t fFeId;  // front end id

    ClassDef(RecoAnalogData,0)
};

#endif  /* __RECOANALOGDATA_HH_ */

