//
// Types defined in Energy modules
//
#include <map>
#include <vector>

class RecoPixelData;
using namespace std;
using std::map;
using std::vector;

typedef vector < Int_t >                               PMTs_t;
typedef vector < RecoPixelData*    >                   Pixels_t;
typedef map    < Int_t, Pixels_t   >                   GtuPixels_t;
typedef map    < Int_t, Pixels_t   >                   CellPixels_t;
typedef map    < pair <Float_t,Float_t>, Float_t >     DirEfficacy_t;
