// ESAF : Euso Simulation and Analysis Framework
// $Id: EEventFrontEndDataAdder.hh,v 1.2 2005/10/20 12:44:18 pesce Exp $
// A.Thea created Oct, 26 2003

#ifndef __EUSOEVENTFRONTENDDATAADDER_HH_
#define __EUSOEVENTFRONTENDDATAADDER_HH_

#include "euso.hh"
#include "EFiller.hh"
#include "EsafMsgSource.hh"

class ChipGtuData;

class EEventFrontEndDataAdder : public EFiller, public EsafMsgSource {
public:
    // ctor
    EEventFrontEndDataAdder( ChipGtuData *);

    //dtor
    virtual ~EEventFrontEndDataAdder();

    // filler
    virtual void Fill( EFillable *);
private:
    ChipGtuData *fChip;

    ClassDef(EEventFrontEndDataAdder,0)
};

#endif  /* __EUSOEVENTFRONTENDDATAADDER_HH_ */

