// $Id: SiliconPhotomultiplier.cc,v 1.1 2005/06/04 17:37:32 thea Exp $
// Author: Alessandro Thea   2005/04/25

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: SiliconPhotomultiplier                                               *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

//_____________________________________________________________________________
//
// SiliconPhotomultiplier
//
//   SiPm esaf class. Simulates a 5x5 mm pixels silicon photomultiplier
//
//   Config file parameters
//   ======================
//
//   <parameter name>: <parameter description>
//   -Valid options: <available options>
//

#include "SiliconPhotomultiplier.hh"

ClassImp(SiliconPhotomultiplier)

//_____________________________________________________________________________
SiliconPhotomultiplier::SiliconPhotomultiplier(Int_t id, PmtGeometry* g ) :
    Photomultiplier( id, g ) {
    //
    // Constructor
    //

}

//_____________________________________________________________________________
SiliconPhotomultiplier::~SiliconPhotomultiplier() {
    //
    // Destructor
    //
}

