// KOpticalSystem
// $Id: KOpticalSystem.hh,v 1.11 2004/09/28 12:10:25 thea Exp $
// J.Watts created , Sep 21 2003
//
#ifndef KOPTICALSYSTEM_HH
#define KOPTICALSYSTEM_HH

#include "DetectorPhotonTransporter.hh"
#include "OpticalSystem.hh"
#include "Interpolate.hh"

class KOpticalSystem: public OpticalSystem {
private:
    // checks if a not 0 flag photon is going out
    Bool_t IsGoingOut(Photon *p) const;
            
public:
    KOpticalSystem();
    virtual Photon *Transport(Photon *p) const;
    virtual Bool_t HitSide(Photon *p) const;

    EsafConfigClass(Optics,KOpticalSystem)

    ClassDef(KOpticalSystem,0)
};

#endif /* KOPTICALSYSTEM_HH */

