// ESAF : Euso Simulation and Analysis Framework
// class FocalPlane
// $Id: FocalPlane.cc,v 1.16 2005/10/02 14:17:55 thea Exp $
//
#include "FocalPlane.hh"
#include "Config.hh"
#include "EEvent.hh"

using namespace sou;

ClassImp(FocalPlane)
ClassImp(TestFocalPlane)

TestFocalPlane::TestFocalPlane() : FocalPlane() {
        fPos=EVector(0,0,Conf()->GetNum("focalplane.pos.Z"))*mm;
        fDZup=0;
        fDZdown=Conf()->GetNum("focalplane.DZdown")*mm;
}

Photon *TestFocalPlane::Transport(Photon *p) const {
        // FIXME: Reality check needed? boh
        
        // print parameters of photon
#ifdef DEBUG
        cout<<"TestFocalPlane: destroying photon"<<endl
            <<"position = "<<p->pos<<endl
            <<"direction = "<<p->dir<<endl
            <<"WL = "<<p->wl<<endl
            <<"time = "<<p->time<<endl;
#endif /* DEBUG */
        return 0;
}
