// ESAF : Euso Simulation and Analysis Framework
// $Id: EEventTruthAdder.hh,v 1.1 2004/09/28 12:10:38 thea Exp $
// Alessandro Thea created Nov, 23 2003

#ifndef __EUSOEVENTTRUTHADDER_HH_
#define __EUSOEVENTTRUTHADDER_HH_

#include "euso.hh"
#include "EFiller.hh"

class MCTruth;

class EEventTruthAdder : public EFiller {
public:
    // ctor
    EEventTruthAdder( MCTruth *);

    // dtor
    virtual ~EEventTruthAdder();

	// filler
    virtual void Fill( EFillable* );
private:
	
	MCTruth *fTruth;

    ClassDef(EEventTruthAdder,0)
};

#endif  /* __EUSOEVENTTRUTHADDER_HH_ */

