// ESAF : Euso Simulation and Analysis Framework
// $Id: EAtmosphereSingleAdder.hh,v 1.3 2004/09/14 12:10:43 moreggia Exp $
// Author: Anne Stutz   Aug,  9 2004

#ifndef __EATMOSPHERESINGLEADDER_HH_
#define __EATMOSPHERESINGLEADDER_HH_

#include "euso.hh"
#include "EFiller.hh"

/*******************************************************************************
 *
 * EAtmosphereSingleAdder: class description
 *
 ******************************************************************************/
class SinglePhoton;

class EAtmosphereSingleAdder : public EFiller {
public:
    //ctor
    EAtmosphereSingleAdder(const SinglePhoton*, Bool_t news = false, Bool_t fromb = false, Int_t count=0);

    //dtor
    virtual ~EAtmosphereSingleAdder();

    //fill the root file
    virtual void Fill( EFillable* );

private:
    const SinglePhoton *fSingle;
    Bool_t fNewSingle;
    Bool_t fFromBunch;
    Int_t fCounter;

    ClassDef(EAtmosphereSingleAdder,0)
};

#endif  /* __EATMOSPHERESINGLEADDER_HH_ */

