#!/bin/sh
# sh script used by the top Makefile to create a tar file with the ESAF
# distribution 
#
# $Id: CreateDistFile.sh,v 1.1.1.1 2003/03/03 10:37:44 naumov Exp $
# 2002/01/23 D. De Marco - created
#

# Temporary File containing the name of the directory to be excluded
# from distribution package
TEF=/tmp/ESAF.CVS.Exclude

# Directory containig the current distribution
WD=$(basename $(pwd))

# timestamp
DATE=$(date +%Y-%m-%d_%H.%M)

cd ..
find $WD -type d -name CVS > $TEF

echo ${WD}/bin          >> $TEF
echo ${WD}/lib          >> $TEF
echo ${WD}/output       >> $TEF
# Other directories to be excluded go here

tar cfv ESAF_${DATE}.tar -X $TEF $WD
gzip ESAF_${DATE}.tar
rm $TEF

echo -e "\n\n\nDistribution package created in: `pwd`/ESAF_${DATE}.tar.gz\n\n\n" 
