// ESAF : Euso Simulation and Analysis Framework
// $Id: LinkDef.hh,v 1.8 2005/11/15 23:29:48 thea Exp $
// A. Thea created Apr, 27 2004
// this file is needed by rootcint to make an additional C++ that
// must be compiled and linked to use the base libraray in root

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ global gEsafSys;

#pragma link C++ namespace EConst;

#pragma link C++ class BaseDialogFactory+;
#pragma link C++ class EarthVector+;
#pragma link C++ class EsafConfigurable+;
#pragma link C++ class EsafRandom+;
#pragma link C++ class EusoTimeOrbit+;
#pragma link C++ class EVector+;
#pragma link C++ class EsafSys+;
#pragma link C++ class EsafRefFrame+;

#pragma link C++ class ConfigFileParser+;
#pragma link C++ class Config+;
#pragma link C++ class EsafMsg+;
#pragma link C++ class EsafMsgSource+;
#pragma link C++ class EsafMsgDispatcher+;
#pragma link C++ class NumbersFileParser+;
#pragma link C++ class StringsFileParser+;
#pragma link C++ class FileParser+;


#endif

