// main program for reconstruction 
// $Id: reco_main.cc,v 1.4 2005/06/17 16:37:44 thea Exp $
// just a call to the framework
//

#include "euso.hh"
#include "RecoFramework.hh"
#include <iostream>

int main(int argc, char** argv) {
    
    try {
        RecoFramework theFrameWork(argc,argv);

        theFrameWork.Dump();

        theFrameWork.Execute();
    }
    catch( exception &e ) {
        cerr << "RECO Error: " << e.what() << endl;
        cerr << "Euso Reco Program Exiting" << endl;
        exit(1);
    }

    return 0;
    
}

