// $Id: EChipTrackTriggerDataAdder.hh,v 1.2 2005/02/16 13:02:47 pesce Exp $
// Author: R.Pesce   2005/02/15

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: EChipTrackTriggerDataAdder                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __ECHIPTRACKTRIGGERDATAADDER_HH__
#define __ECHIPTRACKTRIGGERDATAADDER_HH__

#include "euso.hh"
#include "EFiller.hh"

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// EChipTrackTriggerDataAdder                                                                 //
//                                                                            //  
// <brief class description>                                                  //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////

class ChipTrackSegment;

class EChipTrackTriggerDataAdder : public EFiller {
public:
    EChipTrackTriggerDataAdder( ChipTrackSegment*, Int_t, Int_t );
    // ctor
    
    virtual ~EChipTrackTriggerDataAdder();
    // dtor
    
    virtual void Fill( EFillable *);
    // filler

private:
    Int_t fCellId;            // macrocell id
    Int_t fChipId;            // chip unique id
    ChipTrackSegment *fTrack;  // track segment infos

    ClassDef(EChipTrackTriggerDataAdder,0)
};

#endif  /* __ECHIPTRACKTRIGGERDATAADDER_HH__ */

