// ESAF : Euso Simulation and Analysis Framework
// $Id: EDetectorPhotonDataAdder.hh,v 1.3 2005/05/16 17:42:16 thea Exp $
// A.Thea created Oct, 28 2003

#ifndef __EDETECTORPHOTONDATAADDER_HH_
#define __EDETECTORPHOTONDATAADDER_HH_

#include "euso.hh"
#include "EFiller.hh"
#include "EsafMsgSource.hh"

class EDetectorPhotonDataAdder : public EFiller, public EsafMsgSource  {
public:
    // ctor
    EDetectorPhotonDataAdder(Int_t s_id, Int_t mc, Int_t fe, Int_t gtu,
            Bool_t madecount, Bool_t madefo, Int_t mx=-1, Int_t my=-1);

    // dtor
    virtual ~EDetectorPhotonDataAdder();
    
    // filler
    virtual void Fill( EFillable *);
private:
    Int_t fSignalID;
    UShort_t fMacroCell;
    UShort_t fFrontEnd;
    Int_t fGtu;
    Bool_t fMadeCount;
    Bool_t fMadeFastOR;
    Int_t fMacroCellX;
    Int_t fMacroCellY;

    ClassDef(EDetectorPhotonDataAdder,0)
};

#endif  /* __EUSOEVENTPHOTONDATAADDER_HH_ */

