// SortVector functions

#include "SortVector.hh"
#include "PmtSignal.hh"

void SortVector( vector<PmtSignal*>& v) {
    int n = v.size();

    for(int gap=n/2; 0<gap; gap/=2) {
        for(int i=gap; i<n; i++) {
            for(int j=i-gap; 0<=j; j-=gap) {
                if ( *v[j+gap] < *v[j] ) {
                    PmtSignal* t = v[j];
                    v[j] = v[j+gap];
                    v[j+gap] = t;
                }
            }
        }
    }
}

