// $Id: PolarFocalPlane.cc,v 1.4 2005/10/02 14:17:55 thea Exp $
// Author: Alessandro Thea   2005/02/17

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: PolarFocalPlane                                                      *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

//_____________________________________________________________________________
//
// PolarFocalPlane
//
// <extensive class description>
//
//   Config file parameters
//   ======================
//
//   <parameter name>: <parameter description>
//   -Valid options: <available options>
//

#include "PolarFocalPlane.hh"

using namespace sou;

ClassImp(PolarFocalPlane)

//_____________________________________________________________________________
PolarFocalPlane::PolarFocalPlane() {
    //
    // Constructor
    //

    fPos    = EVector(0,0,Conf()->GetNum("PolarFocalPlane.fPos.Z"))*mm;
    fDZup   = 0;
    fDZdown = Conf()->GetNum("PolarFocalPlane.fDZdown")*mm;
    fR      = Conf()->GetNum("PolarFocalPlane.fRadius")*mm;
}

//_____________________________________________________________________________
PolarFocalPlane::~PolarFocalPlane() {
    //
    // Destructor
    //
}

